Retrieves the job work instruction list with the specified key.
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
job_work_instruction_list| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| jobs_id |
Foreign key of the jobs |
globally unique identifier |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| jobs_reference_back_office |
Embedded entity "jobs" using ERP PK when adding/updating |
string |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| jobs |
Embedded entity "jobs" when adding/updating |
jobs |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| work_instruction_details_id |
work instruction details id |
globally unique identifier | |
| work_instruction_details_reference_back_office |
Embedded code "work instruction details" when adding/updating |
string | |
| work_instruction_details |
Embedded entity "work instruction details" when adding/updating |
work_instruction_details | |
| user_id |
Filled by the person that completed that item on the checklist |
globally unique identifier | |
| work_instruction_action_type |
Value from work_instruction_action_type.name |
string | |
| work_instruction_id |
work instruction id |
globally unique identifier |
Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided |
| work_instruction_reference_back_office |
Embedded code "work instruction" when adding/updating |
string |
Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided |
| work_instruction |
Embedded entity "work instruction" when adding/updating |
work_instruction |
Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided |
| name |
The "on what" |
string |
Required Max length: 4000 |
| status |
Status can be Ok,NotOk,Replaced,NotApplicable |
string |
Max length: 50 |
| date_done |
Datetime filled when status goes to one valable status. |
date | |
| remark |
Additional remark from the technician. |
string |
Max length: 255 |
| advise |
Additional advice from the technician. |
string |
Max length: 255 |
| sequence |
To order it. |
integer | |
| reference_back_office |
The Id/Ref of the back office for this job work instruction. Used by Embedded entity |
string |
Max length: 255 |
| group_name |
Name of the group |
string |
Max length: 4000 |
| group_sequence |
Order of the group |
integer | |
| type |
One of the possible types which are Regular, Form, Picture, UsedParts, BillableHours. Regular is the default |
string | |
| instruction_document_count |
Specify how many documents/photos must be added if type is Picture |
integer | |
| db_report_type_id |
When type is Form, you must specify which db_report_type must be filled |
globally unique identifier | |
| db_report_type_name |
When type is Form, you must specify which db_report_type must be filled |
string | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "afe63066-586c-431e-80a3-f501cc7e9fd4",
"jobs_id": "5abd085c-850a-4bed-bfa3-3437d69c4121",
"jobs_reference_back_office": "sample string 3",
"jobs": {
"id": "145baf55-7b09-4a29-87b7-41db2bab34ba",
"_parent_id": "648dc921-5246-43c6-9d20-c025eac38e46",
"_parent_jobs_reference_back_office": "sample string 3",
"project_id": "230f7b97-0f6d-482a-9119-d3db0e0e1a2e",
"project_reference_back_office": "sample string 5",
"project": {
"id": "0d69e0ec-11e5-4d11-914b-7dfaf0ec7f31",
"_parent_id": "063d61b0-4376-4f9c-a744-2af5386a46a5",
"root_parent_id": "f7a2c9df-72b4-4712-8729-7b20a782501e",
"_parent_reference_back_office": "sample string 4",
"equipment_family_id": "82ed578e-4033-4cf8-8efd-518ede51c1b7",
"equipment_family_code": "sample string 6",
"equipment_family": {
"id": "3532ad57-744e-412a-8328-b51814b47000",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "3f845116-243a-4d5c-b275-40486a3b0da2",
"_parent_code": "sample string 6",
"sales_organization_id": "346c87ba-b152-4c25-b66f-f87e2103ac23",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "820319d4-7f91-4133-ae96-1834e73ce329",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "3236e2fd-80b2-4963-bd9e-71de0d106efc",
"db_currency_id": "b4fcc4f5-7b2b-48fa-a63c-cc34dfec9bc1",
"db_language_id": "0e347e1e-71e2-47ef-abc4-a7d3aa54d539",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-08T20:24:41.748077+00:00"
},
"modified_dateutc": "2026-11-08T20:24:41.748077+00:00"
},
"equipment_model_id": "e2ac5275-7d84-4175-bea6-76953fae7c3b",
"equipment_model_code": "sample string 8",
"equipment_model": {
"id": "8c14625d-6564-497a-bcef-b126f1f007e2",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"equipment_brand_id": "906b13f9-0d7b-4588-be96-3932030c54f0",
"equipment_brand_code": "sample string 6",
"equipment_brand": {
"id": "50bc8d52-058f-477f-a192-e7ed6883ed09",
"name": "sample string 2",
"code": "sample string 3",
"sales_organization_id": "81f2ffc4-e5b7-4d10-b428-9c7025d0bf24",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "820319d4-7f91-4133-ae96-1834e73ce329",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "3236e2fd-80b2-4963-bd9e-71de0d106efc",
"db_currency_id": "b4fcc4f5-7b2b-48fa-a63c-cc34dfec9bc1",
"db_language_id": "0e347e1e-71e2-47ef-abc4-a7d3aa54d539",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-08T20:24:41.748077+00:00"
},
"modified_dateutc": "2026-11-08T20:24:41.748077+00:00"
},
"equipment_family_id": "28dd1b26-47ce-46c5-bdcb-1b78aa9b7f12",
"equipment_family_code": "sample string 8",
"equipment_family": {
"id": "3532ad57-744e-412a-8328-b51814b47000",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "3f845116-243a-4d5c-b275-40486a3b0da2",
"_parent_code": "sample string 6",
"sales_organization_id": "346c87ba-b152-4c25-b66f-f87e2103ac23",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "820319d4-7f91-4133-ae96-1834e73ce329",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "3236e2fd-80b2-4963-bd9e-71de0d106efc",
"db_currency_id": "b4fcc4f5-7b2b-48fa-a63c-cc34dfec9bc1",
"db_language_id": "0e347e1e-71e2-47ef-abc4-a7d3aa54d539",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-08T20:24:41.748077+00:00"
},
"modified_dateutc": "2026-11-08T20:24:41.748077+00:00"
},
"date_in_production_since": "2026-11-08T20:24:41.748077+00:00",
"date_out_of_production_since": "2026-11-08T20:24:41.748077+00:00",
"date_end_support": "2026-11-08T20:24:41.748077+00:00",
"sales_organization_id": "2901da09-717d-46f5-97ed-4fa398d10509",
"sales_organization_code": "sample string 13",
"sales_organization": {
"id": "820319d4-7f91-4133-ae96-1834e73ce329",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "3236e2fd-80b2-4963-bd9e-71de0d106efc",
"db_currency_id": "b4fcc4f5-7b2b-48fa-a63c-cc34dfec9bc1",
"db_language_id": "0e347e1e-71e2-47ef-abc4-a7d3aa54d539",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-08T20:24:41.748077+00:00"
},
"replacement_period_nb_months": 14,
"warranty_period_nb_months": 15,
"translations": [
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
},
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
}
],
"modified_dateutc": "2026-11-08T20:24:41.748077+00:00"
},
"project_status_id": "316e28b1-95aa-47e7-9883-091158a54441",
"project_status_code": "sample string 10",
"project_status": {
"id": "4af348c0-5a51-414a-8ad3-29e01d9608d0",
"name": "sample string 2",
"is_default": true,
"is_closed": true,
"sales_organization_id": "d7946152-326c-4b87-b945-bdc0a5888b62",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "820319d4-7f91-4133-ae96-1834e73ce329",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "3236e2fd-80b2-4963-bd9e-71de0d106efc",
"db_currency_id": "b4fcc4f5-7b2b-48fa-a63c-cc34dfec9bc1",
"db_language_id": "0e347e1e-71e2-47ef-abc4-a7d3aa54d539",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-08T20:24:41.748077+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-11-08T20:24:41.748077+00:00"
},
"company_id": "d6ac6746-0e7f-421f-9d13-2ef0212c8a40",
"company_code": "sample string 12",
"db_address_id": "64668aac-ee59-419a-b766-0f4a49b9fe79",
"db_address_code": "sample string 14",
"location": "sample string 15",
"contact_id": "77fa14e7-8ea6-4582-aea1-f1e9aaca946d",
"contact_reference_back_office": "sample string 17",
"owner_user_id": "ba99e87b-f941-410f-9352-fb07d0ac94c9",
"name": "sample string 19",
"description": "sample string 20",
"reference_back_office": "sample string 21",
"serial_number": "sample string 22",
"barcode": "sample string 23",
"date_start_production": "2026-11-08T20:24:41.748077+00:00",
"date_create": "2026-11-08T20:24:41.748077+00:00",
"date_update": "2026-11-08T20:24:41.748077+00:00",
"updated_by_user_id": "92057342-a691-4ea6-b7af-1b0d8e7c2e2f",
"customer_reference": "sample string 28",
"warranty_date_until": "2026-11-08T20:24:41.748077+00:00",
"last_standard_result_score_1": "sample string 30",
"last_standard_result_score_2": "sample string 31",
"target_standard_result_score_1": "sample string 32",
"target_standard_result_score_2": "sample string 33",
"date_built": "2026-11-08T00:00:00+00:00",
"shutdown_consequence": "sample string 35",
"id2": 36,
"nb_open_jobs": 37,
"date_next_job": "2026-11-08T20:24:41.748077+00:00",
"date_last_job": "2026-11-08T20:24:41.748077+00:00",
"nb_jobs_planned": 40,
"nb_jobs_tobeplanned": 41,
"nb_jobs_waitingfurtheraction": 42,
"back_office_timestamp": "2026-11-08T20:24:41.748077+00:00",
"modified_dateutc": "2026-11-08T20:24:41.748077+00:00",
"is_mobile_installation": true
},
"job_type_id": "2dd56409-551a-4181-bbc1-b82ca89e226d",
"job_type_code": "sample string 7",
"job_type": {
"id": "49be8069-d6c4-4f36-9035-782981e4f8e7",
"name": "sample string 2",
"sales_organization_id": "8398f37e-abd4-4e13-a960-06cd58220606",
"description": "sample string 4",
"is_default": true,
"modified_dateutc": "2026-11-08T20:24:41.748077+00:00",
"code": "sample string 7"
},
"job_priority_id": "27f34414-ca17-44f2-b405-e65d62d3165f",
"job_priority_code": "sample string 9",
"job_priority": {
"id": "8e827cb0-5280-48cf-b12b-f73726e0046a",
"name": "sample string 2",
"is_default": true,
"sequence": 4,
"sales_organization_id": "566dbe6b-81bd-4739-9659-53bf3a3e1186",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "820319d4-7f91-4133-ae96-1834e73ce329",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "3236e2fd-80b2-4963-bd9e-71de0d106efc",
"db_currency_id": "b4fcc4f5-7b2b-48fa-a63c-cc34dfec9bc1",
"db_language_id": "0e347e1e-71e2-47ef-abc4-a7d3aa54d539",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-08T20:24:41.748077+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-11-08T20:24:41.748077+00:00"
},
"job_status_id": "2dc04ec1-11ca-44ff-bb95-c79cd0283d33",
"job_status_code": "sample string 11",
"db_address_id": "4f929982-5403-41e0-9333-2943a782e83d",
"contact_id": "c8dde3fd-3a42-4efb-bca0-d5572814fd4e",
"requested_by_company_id": "ea7d6722-7f94-410e-8964-75b941adbedc",
"requested_by_contact_id": "266d4e37-6a48-4f9b-8dd8-4c0bda843ac4",
"reference_back_office": "sample string 16",
"name": "sample string 17",
"description": "sample string 18",
"working_sequence": 19,
"internal_memo": "sample string 20",
"prejob_information": "sample string 21",
"estimated_time": 22,
"earliest_date_plannable": "2026-11-08T20:24:41.748077+00:00",
"due_date": "2026-11-08T20:24:41.748077+00:00",
"date_create": "2026-11-08T20:24:41.748077+00:00",
"date_update": "2026-11-08T20:24:41.748077+00:00",
"date_closed": "2026-11-08T20:24:41.748077+00:00",
"suggested_user_id": "83d49b2d-4287-4416-980d-4f0aa847f7c7",
"suggested_user_code": "sample string 29",
"suggested_user": {
"id": "45ada625-25c0-4ba8-be42-c5dcc5263c8d",
"db_language_id": "c175559b-c321-42ec-9568-5152432648a3",
"username": "sample string 3",
"firstname": "sample string 4",
"lastname": "sample string 5",
"code": "sample string 6",
"archived": true,
"disabled": true,
"emergency_contact": "sample string 9",
"bankaccount": "sample string 10",
"social_security": "sample string 11",
"place_of_birth": "sample string 12",
"nationality": "sample string 13",
"functions": "sample string 14",
"birthdate": "2026-11-08T20:24:41.748077+00:00",
"skype": "sample string 16",
"notes": "sample string 17",
"sales_organization_id": "30a48c6c-e6a4-4bbf-ba95-e9987601fa60",
"sales_organization": {
"id": "820319d4-7f91-4133-ae96-1834e73ce329",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "3236e2fd-80b2-4963-bd9e-71de0d106efc",
"db_currency_id": "b4fcc4f5-7b2b-48fa-a63c-cc34dfec9bc1",
"db_language_id": "0e347e1e-71e2-47ef-abc4-a7d3aa54d539",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-08T20:24:41.748077+00:00"
},
"sales_organization_code": "sample string 19",
"is_team_leader": true,
"team_leader_user_id": "bc08b60d-3edd-4456-818a-b4b1ffdb97c8",
"email": "sample string 22",
"phone": "sample string 23",
"fax": "sample string 24",
"mobile": "sample string 25",
"private_email": "sample string 26",
"private_phone": "sample string 27",
"private_fax": "sample string 28",
"private_mobile": "sample string 29",
"private_street": "sample string 30",
"private_street_number": "sample string 31",
"private_city": "sample string 32",
"private_zip": "sample string 33",
"private_db_country_id": "c7f6d30b-4392-45de-8eec-e3a2d54eb88e",
"private_db_country_code": "sample string 35",
"modified_dateutc": "2026-11-08T20:24:41.748077+00:00",
"allow_hero_app": true,
"allow_sales_app": true,
"allow_service_app": true,
"user_group_id": "eb2c97e5-7c0d-4f4c-bddb-f822be09bbe9"
},
"suggested_date_start": "2026-11-08T20:24:41.748077+00:00",
"skill_id": "1aca8dba-e991-4e26-aa9d-c54881530a97",
"skill_code": "sample string 32",
"skill": {
"id": "4f287c48-0134-4ad0-a8e9-54d756057ad6",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"sales_organization_id": "62f4abbf-17dd-4357-b70c-54eec326673a",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "820319d4-7f91-4133-ae96-1834e73ce329",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "3236e2fd-80b2-4963-bd9e-71de0d106efc",
"db_currency_id": "b4fcc4f5-7b2b-48fa-a63c-cc34dfec9bc1",
"db_language_id": "0e347e1e-71e2-47ef-abc4-a7d3aa54d539",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-08T20:24:41.748077+00:00"
},
"modified_dateutc": "2026-11-08T20:24:41.748077+00:00"
},
"customer_reference": "sample string 33",
"approval_responsible_user_id": "2eeca103-3ed2-4277-a289-5b18710baab9",
"date_reported_by_company": "2026-11-08T20:24:41.748077+00:00",
"id2": 36,
"company_id": "d667f6e0-b082-40ae-bbfc-59e55ae3d9aa",
"company_code": "sample string 38",
"db_address_name": "sample string 39",
"db_address_street": "sample string 40",
"db_address_street2": "sample string 41",
"db_address_street_number": "sample string 42",
"db_address_city": "sample string 43",
"db_address_zip": "sample string 44",
"db_address_db_country_id": "854ecd46-6ec2-4367-91d9-16a9485aa8e9",
"db_address_db_country_code": "sample string 46",
"db_address_phone": "sample string 47",
"db_address_email": "sample string 48",
"db_address_latitude_decimal": 49.0,
"db_address_longitude_decimal": 50.0,
"estimated_quantity_remark": "sample string 51",
"modified_dateutc": "2026-11-08T20:24:41.748077+00:00"
},
"work_instruction_details_id": "70c24da3-27b1-4a77-9f3d-f4b99c525f12",
"work_instruction_details_reference_back_office": "sample string 5",
"user_id": "27ae07dd-7273-4250-89b3-3bf74ca311cf",
"work_instruction_action_type": "sample string 7",
"work_instruction_id": "9000658d-cf4b-4da2-b8e3-294f9ee56bb9",
"work_instruction_reference_back_office": "sample string 9",
"name": "sample string 10",
"status": "sample string 11",
"date_done": "2026-11-08T20:24:41.748077+00:00",
"remark": "sample string 13",
"advise": "sample string 14",
"sequence": 1,
"reference_back_office": "sample string 15",
"group_name": "sample string 16",
"group_sequence": 1,
"type": "sample string 17",
"instruction_document_count": 1,
"db_report_type_id": "f97e6beb-c6b8-4e8f-a1ce-4212cf292022",
"db_report_type_name": "sample string 18",
"modified_dateutc": "2026-11-08T20:24:41.7637175+00:00"
}